---------------------
PatchSet 1458 
Date: 2005/06/16 10:18:32
Author: rmartinez
Branch: squid3-ipv6
Tag: (none) 
Log:
Updating Guido's transient patch

Members: 
	src/client_side.cc:1.68.2.5->1.68.2.6 

Index: squid3/src/client_side.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/client_side.cc,v
retrieving revision 1.68.2.5
retrieving revision 1.68.2.6
diff -u -r1.68.2.5 -r1.68.2.6
--- squid3/src/client_side.cc	6 May 2005 10:45:15 -0000	1.68.2.5
+++ squid3/src/client_side.cc	16 Jun 2005 10:18:32 -0000	1.68.2.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side.cc,v 1.68.2.5 2005/05/06 10:45:15 rmartinez Exp $
+ * $Id: client_side.cc,v 1.68.2.6 2005/06/16 10:18:32 rmartinez Exp $
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -2211,6 +2211,7 @@
         return;
     }
 
+
     /* compile headers */
     /* we should skip request line! */
     if (!httpRequestParseHeader(request, prefix + req_line_sz)) {
@@ -2227,6 +2228,8 @@
         return;
     }
 
+
+
     request->flags.accelerated = http->flags.accel;
 
     request->flags.transparent = http->flags.transparent;
@@ -2239,11 +2242,13 @@
             } else if (internalStaticCheck(request->urlpath.buf())) {
                 xstrncpy(request->host, internalHostname(),
                          SQUIDHOSTNAMELEN);
+
                 request->port = getMyPort();
                 http->flags.internal = 1;
             }
         }
 
+
         if (http->flags.internal) {
             request->protocol = PROTO_HTTP;
             request->login[0] = '\0';
@@ -2881,7 +2886,7 @@
 
     identChecklist.my_port = ntohs(PORT_FROM_SA(details->me));
 
-    identChecklist.accessList = Config.accessList.identLookup;
+    identChecklist.accessList = cbdataReference(Config.accessList.identLookup);
 
     if (identChecklist.fastCheck())
         identStart(&details->me, &details->peer, clientIdentDone, connState);
@@ -3052,7 +3057,7 @@
 
     identChecklist.my_port = ntohs(PORT_FROM_SA(details->me));
 
-    identChecklist.accessList = Config.accessList.identLookup;
+    identChecklist.accessList = cbdataReference(Config.accessList.identLookup);
 
     if (identChecklist.fastCheck())
         identStart(&details->me, &details->peer, clientIdentDone, connState);
